# 4.6.0.0 - 2023-09-28

## ADD
- Add closed loop passthrough
- Add AEBus heater control
- Add configurable Remote Power Off timeout
- Add VRef high temp ramp down
- Add Low voltage thresholds for different cell types
- Add CLI command to view fault levels
- Add Terminal Voltage Nulling
- Add configurable max charge voltage delta
- Add SoC charge limit configuration (Optional Feature)
- Add discharge reference current
- Add command to force SoC seeding
- Add uptime in seconds
- Add granular definitions to hardware fault (CS Null, CS Comparison, 1.5V Ref)
- Add minimum charge voltage for closed loop
- Add faults tolerance for closed loop applications

## FIX
- Fix SoC not at 0 when shutdown due to Low Voltage Fault
- Fix config CLI command returning fail
- Fix setmock switching relay off and on when enabling setmocks
- Fix Current sense comparison faulting on transient currents
- Fix SoC loading 99%
- Fix boot up usage fault and average network data using invalid data

## CHANGED
- Rename fault hardware to fault hardware clock
- Reduced battery status and fault status messages 

# 4.5.1.0 - 2023-02-06
## ADD
- Add Charge current ramp-down
- Add new High temp charge fault level for different cell type
- Add autogenerated BMS.info file
- Add bitbucket pipeline to increment build number 

## FIX
- Fix SOC load bug loading incorrect SOC values
- Fix Element max discharge rate 2C->1C
- Fix setmocking non-current_A values sets current_A to zero
- Fix fuse curve receiving values on startup from uncalibrated ADC chs

# 4.5.0.0 - 2023-01-05
## ADD
- Heartbeat consumer for external shutdown on disconnection from Lynk
- Statically assignable addresses for AEBus
- Save SOC on shutdown; use saved value for startup if <120h elapse, else use old voltage measurement method for SOC seeding.

## FIX
- Brownout pin is set high before startup to avoid erroneous tripping

## CHANGED
- Charge fault current to .97C for UL
- Discharge current over the lesser of 2C/200A will trip after 10 seconds
- Change name "Battery Fault" to "System Fault"

# 4.4.0.0 - 2022-10-25
## ADD
- Identify LED within from the CLI to BMS on the battery
- Does not add aebus command to identify

## CHANGED
- Fault values for high voltage, low temp charge and discharge, and high temp charge and discharge
- AEBUS charge current request to .965 C maximum
- Low temp charge request temp to match with low temp charge fault
